Subject: [PATCHES] cls_u32 cleanups and fixes

From: Al Viro <[email-masked]>
Date: Wed, 5 Sep 2018 20:01:35 +0100

Several cls_u32 patches: fixing refcounting, preventing
links to and deletion of root hnodes, validating divisor.  Plus
cleanups - removal of some useless fields and saner handling of
tc_u_common hashtable.  The first 3 in series are fixes (and
-stable fodder), the rest - cleanups.  Branch can be found in
vfs.git#misc.cls_u32; individual patches will go in followups.